services:
  surreal:
    image: surrealdb/surrealdb:latest-dev
    ports:
    - 8000:8000
    volumes:
      - ./.surrealdb/:/mydata
    command:
      - start
      - --log
      - debug
      - --user
      - root
      - --pass
      - root
      - rocksdb:/mydata/database.db
  minio:
    image: quay.io/minio/minio
    ports:
      - 9000:9000
      - 9001:9001
    environment:
      - MINIO_ROOT_USER=root
      - MINIO_ROOT_PASSWORD=an8charpassword
    volumes:
      - ./.minio/:/data
    command:
      - server
      - /data
      - --console-address
      - ":9001"
